# eric7.MicroPython.BoardDataDialog

Module implementing a dialog to show information about a connected board.

### Global Attributes

None

### Classes

BoardDataDialog | Class implementing a dialog to show information about a connected board.

### Functions

None

## BoardDataDialog

Class implementing a dialog to show information about a connected board.

### Derived from

QDialog, Ui_BoardDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

BoardDataDialog | Constructor
__createHeader | Private method to create a header item.

### Static Methods

None

#### BoardDataDialog (Constructor)

BoardDataDialog(data, parent=None)

Constructor

data (dict)
  dictionary containing the data to be shown
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### BoardDataDialog.__createHeader

__createHeader(headerText)

Private method to create a header item.

headerText (str)
  text for the header item

Return:
  reference to the created header item

Return Type:
  QTreeWidgetItem

Up